# WhisperBot

WhisperBot is an XMPP bot meant to be used in a tightly knit collective for expressing messages anonymously. The bot was made in the context of creating a Code of Conduct for Varia as an attempt to escape the document-ification of the values Varia wishes to hold close. The bot can be sent a private message by a member which the bot will repeat in the group chat. The intention behind it is to provide a format to express concerns/doubts/conflicts outside of existing group dynamics.

## whisperbot.xbotlib

A new version of WhisperBot (made with xbotlib) can be found here: <https://git.vvvvvvaria.org/varia/bots/src/branch/master/whisperbot.xbotlib>

## How does WhisperBot work?

This bot forwards messages it receives in private to the group channel it is part of.

On line 37 you can change the code after 'msg.reply("' to add your own message that will be sent to the person speaking to the bot:

    msg.reply("Thank you for telling me this. I will pass it on to the chatroom." % msg).send()

On line 38 you can change the code after 'mbody="' to add your own message that will be sent to the group the bot is part of:

    self.send_message(mto=self.room, mbody="This has been whispered to me:\n%(body)s" % msg, mtype='groupchat')

To run this bot, type the following command in your terminal:

    python3 whisper.py -j whisperbot@conversejs.org -r muc_name@muc.vvvvvvaria.org -n whisperbot -p testing