# WhisperBot

WhisperBot is an XMPP bot meant to be used in a tightly knit collective for expressing messages anonymously. The bot was made in the context of creating a Code of Conduct for Varia as an attempt to escape the document-ification of the values Varia wishes to hold close. The bot can be sent a private message by a member which the bot will repeat in the group chat. The intention behind it is to provide a format to express concerns/doubts/conflicts outside of existing group dynamics.

![](screenshots/whisperbot-screenshot-1.png)

![](screenshots/whisperbot-screenshot-2.png)

## How is WhisperBot made?

WhisperBot is small XMPP bot written in Python that is used in group chats. It uses the [xbotlib library](https://git.vvvvvvaria.org/decentral1se/xbotlib) written by [decentral1se](https://git.vvvvvvaria.org/decentral1se).

Situated tails

- Code of Conduct writing, Varia (2019) <http://varia.zone/en/pages/code-of-conduct.html>
- Bots of Conduct @ Collective Conditions (November 2019), Cristina Cochior & Joana Chicau <https://constantvzw.org/site/-Collective-Conditions,220-.html>
- Bots as Infrapunctures @ Obfuscation Workshop (May 2021), Cristina Cochior & Manetta Berends, <https://3rd.obfuscationworkshop.org/> & <https://bots-as-digital-infrapunctures.dataschool.nl/>

## How does WhisperBot work?

This bot forwards messages it receives in private to the group channel it is part of.

`I whisper private messages into group chats 😌️`

## Requirements

- [xbotlib](https://git.vvvvvvaria.org/decentral1se/xbotlib) (`pip3 install xbotlib`)